libtool question

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

libtool question

Helmut Jarausch
Hi,

unfortunately, libtool is one of my black spots in my Linux knowlegde.

Trying to emerge app-editors/kile-2.0.3-r1  libtool fails with
libtool: link: cannot find the library `/usr/lib/libpcreposix.la'

The libtool command is too long to include here, but it definitely
doesn't contain pcreposix.
So, why does libtool try to find /usr/lib/libpcreposix.la (which doesn't
exist, indeed)?
Howto fix this?

Many thanks for a hint (a libtool tutorial?)
Helmut.

--
Helmut Jarausch

Lehrstuhl fuer Numerische Mathematik
RWTH - Aachen University
D 52056 Aachen, Germany

Reply | Threaded
Open this post in threaded view
|

Re: libtool question

Philipp Riegger

On Thu, 2009-04-23 at 11:45 +0200, Helmut Jarausch wrote:

> unfortunately, libtool is one of my black spots in my Linux knowlegde.
>
> Trying to emerge app-editors/kile-2.0.3-r1  libtool fails with
> libtool: link: cannot find the library `/usr/lib/libpcreposix.la'
>
> The libtool command is too long to include here, but it definitely
> doesn't contain pcreposix.
> So, why does libtool try to find /usr/lib/libpcreposix.la (which doesn't
> exist, indeed)?
> Howto fix this?
>
> Many thanks for a hint (a libtool tutorial?)

There was a bug about this (libpcre not installing the .la files). Try
reemerging the package /usr/lib/libpcreposix.a (or .so) belongs to
(equery belongs, qfile). Most likely libpcre.

Philipp


Reply | Threaded
Open this post in threaded view
|

Re: libtool question

Philipp Riegger

On Thu, 2009-04-23 at 11:59 +0200, Philipp Riegger wrote:
> There was a bug about this (libpcre not installing the .la files).

https://bugs.gentoo.org/show_bug.cgi?id=266016 should be it btw..

Philipp


Reply | Threaded
Open this post in threaded view
|

Re: libtool question

Peter Alfredsen-3
In reply to this post by Helmut Jarausch
On Thu, 23 Apr 2009 11:45:19 +0200 (CEST)
Helmut Jarausch <[hidden email]> wrote:

> Hi,
>
> unfortunately, libtool is one of my black spots in my Linux knowlegde.
>
> Trying to emerge app-editors/kile-2.0.3-r1  libtool fails with
> libtool: link: cannot find the library `/usr/lib/libpcreposix.la'
>
> The libtool command is too long to include here, but it definitely
> doesn't contain pcreposix.
> So, why does libtool try to find /usr/lib/libpcreposix.la (which
> doesn't exist, indeed)?
> Howto fix this?

emerge =dev-util/lafilefixer-0.5
lafilefixer --justfixit

or

emerge app-portage/gentoolkit
revdep-rebuild -i -- -a

/loki_val